function Pfa = ChiSquarePdf( K, x )

%%
% Summary:
%   Function that computes the pdf of a central
%   chi-square with 2K degrees of freedom.
%
%%

Pfa = exp( -x / 2 ) .* ( x / 2 ).^( K - 1 ) / factorial( K - 1 );